### Index

- addCreatedBy (src/.../angularfirestore-helpers.ts)
- addCreatedDate (src/.../angularfirestore-helpers.ts)
- addModifiedDate (src/.../angularfirestore-helpers.ts)
- convertTimestampToDate (src/.../angularfirestore-helpers.ts)
- getCollectionFsFromPath (src/.../angularfirestore-helpers.ts)
- getDocFsFromPath (src/.../angularfirestore-helpers.ts)
- getDocFsFromRef (src/.../angularfirestore-helpers.ts)
- getParentDocFsFromPath (src/.../angularfirestore-helpers.ts)
- getRefFromPath (src/.../angularfirestore-helpers.ts)
- isDocExist$ (src/.../angularfirestore-helpers.ts)

### src/lib/angularfirestore-helpers.ts

###

addCreatedBy
`addCreatedBy(data, createdBy: any)`

Add createdBy to the object

Parameters :

Name | Type | Optional | Description
data |  | No |
createdBy | `any` | No | profile, user or any type of data

Returns : `A`

addCreatedDate
`addCreatedDate(data)`

Add createdDate to the object

Parameters :

Name | Optional
data | No

Returns : `A`

addModifiedDate
`addModifiedDate(data)`

Add modifiedDate to the object

Parameters :

Name | Optional
data | No

Returns : `A`

convertTimestampToDate
`convertTimestampToDate(data)`

Parameters :

Name | Optional
data | No

Returns : `A`

getCollectionFsFromPath
`getCollectionFsFromPath(path)`

If given the path to a Document it returns the parent AngularFirestoreCollection, if given a path to a collection it just turns it into a AngularFirestoreCollection

Parameters :

Name | Optional
path | No

Returns : `AngularFirestoreCollection<A>`

getDocFsFromPath
`getDocFsFromPath(path)`

Get AngularFirestoreDocument from path

Parameters :

Name | Optional
path | No

Returns : `AngularFirestoreDocument`

getDocFsFromRef
`getDocFsFromRef(ref)`

Get the AngularFirestoreDocument object for a firestore DocumentReference

Parameters :

Name | Optional
ref | No

Returns : `AngularFirestoreDocument`

getParentDocFsFromPath
`getParentDocFsFromPath(path)`

Returns the next higher level doc from either a collection or a doc path

Parameters :

Name | Optional
path | No

Returns : `AngularFirestoreDocument<A>`

getRefFromPath
`getRefFromPath(path)`

Helper method to get reference from path, the path can be either to a Document or Collection

Parameters :

Name | Optional
path | No

Returns : `DocumentReference | CollectionReference`

isDocExist$
`isDocExist$(docFs)`

Simple check if Document exists, returns true if Document exist

Parameters :

Name | Optional
docFs | No

Returns : `Observable<boolean>`

# result-matching ""

# No results matching ""